﻿/*!
@page classgroup クラス分類
<B>マルチメディア</B>\n
プラットフォーム依存の処理を直接行うクラス\n
・システムの処理\n
SDX::System	ライブラリの初期化やシステム的な処理を行う関数群\n
SDX::Window	ウィンドウを表すクラス\n
SDX::Wait	一時停止処理する関数群\n
\n
・描画\n
SDX::Drawing	リソースを読み込まずに描画を行う関数群\n
SDX::Image	画像データを表すクラス\n
SDX::Font	フォントデータを表すクラス\n
SDX::IFont	Font,BmpFont等のインターフェース\n
SDX::Color	色を表すクラス\n
SDX::Screen	描画先を表すクラス\n
SDX::AsyncroLoad	リソースの非同期読み込み設定関数群\n
\n
・画像処理\n
SDX::Blend	Image同士の合成処理を行う関数群\n
SDX::BlendBlt	イメージを合成して作成\n
SDX::Filter	Imageにフィルター処理を行う関数群\n
SDX::FilterBlt	フィルター処理したイメージを生成[未実装].\n
\n
・音声、動画\n
SDX::Music	BGM用音声を表すクラス\n
SDX::Sound	効果音用音声を表すクラス\n
SDX::Movie	動画を表すクラス\n
SDX::MovieImage	Imageクラスの動画版\n
\n
・入力\n
SDX::Input	キーやマウスによる入力をまとめて管理するクラス\n
SDX::Key	各ボタンとキーを表すクラス\n
SDX::Joypad	ジョイパッドの状態を表すクラス\n
SDX::Keyboard	キーボードの状態を表すクラス\n
SDX::Mouse	マウスの状態を表すクラス\n
\n
<B>フレームワーク</B>\n
マルチメディアクラスを間接利用するクラス等\n
\n
・拡張描画機能\n
SDX::Anime	Imageをまとめてコマ送りアニメとして表すクラス\n
SDX::BmpFont	ビットマップフォントを表すクラス\n
SDX::IFrame	描画用枠のインターフェース\n
SDX::BmpFrame	描画用枠を表すクラス\n
SDX::Camera	2D用に座標変換を行うカメラを表すクラス\n
SDX::ImagePack	複数のImageをまとめるクラス\n
\n
・図形と当たり判定\n
SDX::Shape	位置情報を持つ図形の抽象クラス\n
SDX::Complex	複合図形を表すクラス\n
SDX::Point	点を表す図形クラス\n
SDX::Line	太さのある線を表す図形クラス\n
SDX::Rect	矩形を表す図形クラス\n
SDX::Circle	円を表す図形クラス\n
\n
・2Dスプライト\n
SDX::Sprite	2Dモデルに貼り付けるスプライトを表す抽象クラス\n
SDX::SpImage	Imageスプライト\n
SDX::SpAnime	Animeスプライト\n
SDX::SpFont	Fontスプライト\n
SDX::SpFrame	IFrameスプライト\n
SDX::SpMap	マップチップスプライト\n
\n
・2Dモデル\n
SDX::Model	ShapeとSpriteをまとめて、2Dモデルを表すクラス\n
SDX::ModelMove	Modelの移動を移譲するクラス\n
\n
・拡張ライブラリのためのクラス\n
SDX::IScene	シーンのインターフェース\n
SDX::Director	シーンを管理するクラス\n
SDX::ISpeed	変化する数値を表す抽象クラス\n
SDX::IModule	Update可能なモジュールのインターフェース\n
SDX::PartTimeModule	ラムダ式で実行条件を追加可能なモジュール\n
SDX::FuncModule	関数オブジェクトをモジュール化するクラス\n
\n
<B>ユーティリティー</B>\n
標準ライブラリのラッパークラス\n
SDX::File	入出力可能なテキストかバイナリファイルを表すクラス\n
SDX::Pool	メモリプールを表すクラス\n
SDX::Allocater	自作メモリアロケータ\n
SDX::Rand	乱数生成関数群\n
SDX::Time	時間と日付を取得する関数群\n
*/